//package com.pokkt.cocos2dx;

import android.widget.Toast;
import com.app.pokktsdk.delegates.VideoCampaignDelegate;
import com.app.pokktsdk.model.VideoResponse;
import com.app.pokktsdk.util.Logger;

public class VideoEventsHandler implements VideoCampaignDelegate {
    @Override
    public void onDownloadCompleted(float videoVc) {
        PokktNativeExtension.NotifyCPP(PokktManagerHandler.DownloadCompletedEvent, String.valueOf(videoVc));

        if (Logger.getShouldLog()) {
            Toast.makeText(PokktManagerHandler.getActivity(), "downloaded complete", Toast.LENGTH_LONG).show();
        }
    }

    @Override
    public void onDownloadFailed(String message) {
        PokktNativeExtension.NotifyCPP(PokktManagerHandler.DownloadFailedEvent, "");

        if (Logger.getShouldLog()) {
            Toast.makeText(PokktManagerHandler.getActivity(), "video download error: " + message, Toast.LENGTH_LONG).show();
        }
    }

    @Override
    public void onVideoClosed(boolean backButton) {
        String message = backButton ? "You closed the video with back press!" : "Video closed!";
        PokktNativeExtension.NotifyCPP(PokktManagerHandler.VideoClosedEvent, message);

        if (Logger.getShouldLog()) {
            Toast.makeText(PokktManagerHandler.getActivity(), "Video Closed", Toast.LENGTH_LONG).show();
        }
    }

    @Override
    public void onVideoCompleted() {
        PokktNativeExtension.NotifyCPP(PokktManagerHandler.VideoCompletedEvent, "Video completed!");

        if (Logger.getShouldLog()) {
            Toast.makeText(PokktManagerHandler.getActivity(), "Video Completed", Toast.LENGTH_LONG).show();
        }
    }

    @Override
    public void onVideoDisplayed() {
        PokktNativeExtension.NotifyCPP(PokktManagerHandler.VideoDisplayedEvent, "true");

        if (Logger.getShouldLog()) {
            Toast.makeText(PokktManagerHandler.getActivity(), "Video Displayed", Toast.LENGTH_LONG).show();
        }
    }

    @Override
    public void onVideoGratified(VideoResponse videoResponse) {
        Logger.e("video gratified, response: " + videoResponse.toString());
        if ("1".equalsIgnoreCase(videoResponse.getCoinStatus()))
        {
            PokktNativeExtension.NotifyCPP(PokktManagerHandler.VideoGratifiedEvent, String.valueOf(videoResponse.getCoins()));

            if (Logger.getShouldLog()) {
                String message = "".equalsIgnoreCase(videoResponse.getTransactionId())
                        ? "Points earned " + videoResponse.getCoins()
                        : "Points earned " + videoResponse.getCoins() + " with transaction id " + videoResponse.getTransactionId();
                Toast.makeText(PokktManagerHandler.getActivity(), message, Toast.LENGTH_LONG).show();
            }
        }
    }

    @Override
    public void onVideoSkipped() {
        PokktNativeExtension.NotifyCPP(PokktManagerHandler.VideoSkippedEvent, "You skipped the video!");

        if (Logger.getShouldLog()) {
            Toast.makeText(PokktManagerHandler.getActivity(), "Video Skipped", Toast.LENGTH_LONG).show();
        }
    }
}
